For the complete documentation index, see llms.txt. This page is also available as Markdown.

Receive a single opt-in tool

Get opt-in tool by ID

get
Authorizations
X-Recart-API-KeystringRequired

It can be obtained in Recart account after contacting Support

Path parameters
idstringRequired

ID of the opt-in tool

Responses
200

Ok

application/vnd.api+json
get/optin-tools/{id}
GET /app-integrations/2023-12/optin-tools/{id} HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
  "data": {
    "type": "optin-tools",
    "attributes": {
      "id": "655637c97825e6ae655fe1b5",
      "name": "Mobile - Preferences - Custom Images",
      "type": "popup",
      "status": "active",
      "devices": [
        "mobile"
      ],
      "channels": [
        "email"
      ],
      "statusSchedule": {
        "activateAt": "2026-08-03T14:00:00.000+02:00",
        "inactivateAt": "2026-08-10T14:00:00.000+02:00"
      },
      "optinMethod": {
        "type": "flow",
        "flowId": "655637c97825e6ae655fe1c2"
      },
      "experimentIds": [
        "655637c97825e6ae655fe1d9"
      ],
      "steps": [
        "teaser"
      ],
      "messagingType": "two-way",
      "tags": [
        "delay",
        "discount-694132dcb842e9d365676043",
        "micro-yes",
        "one-click-opt-in",
        "opt-in-offer"
      ],
      "settings": {}
    }
  }
}

Last updated

Was this helpful?